import { describe, it, expect } from 'vitest';
import { isFileExists, getAllFilePaths } from '../src/files.js';

describe('isFileExists', () => {
  it.skip('returns true for an existing file', async () => {
    const file = './__tests__/files.test.js'; // замените на актуальный путь
    const result = await isFileExists(file);
    expect(result).toBeTruthy();
  });

  it.skip('returns false for a non-existing file', async () => {
    const file = './dummy.js';
    const result = await isFileExists(file);
    expect(result).toBeFalsy();
  });
});

describe('getAllFilePaths', () => {
  it('returns an array of .js files in docs/', async () => {
    const result = await getAllFilePaths('docs', '*.js');
    expect(Array.isArray(result)).toBe(true);
    // optionally:
    // expect(result.length).toBeGreaterThan(0);
    // expect(result[0]).toMatch(/\.js$/);
  });
});
