import { describe, it, expect } from 'vitest';
import { getRandomInt } from '../src/numbers.js';

describe('getRandomInt', () => {
  it('returns value within [min, max]', () => {
    const min = 0;
    const max = 100;
    const result = getRandomInt(min, max);

    expect(result).toBeGreaterThanOrEqual(min);
    expect(result).toBeLessThanOrEqual(max);
  });

  it('returns different values on multiple calls (not always, but likely)', () => {
    const min = 0;
    const max = 100;
    const result1 = getRandomInt(min, max);
    const result2 = getRandomInt(min, max);

    // Note: they *could* be equal, but statistically rarely
    expect(result1 === result2).toBe(false);
  });
});
