'use strict';

export async function filterAsync(array, f) {
  let
    boolArray,
    result;

  if (array) {
    boolArray = await Promise.all(array.map(f));
    result = array.filter((item, index) => boolArray[index]);
  }

  return result;
}


export async function mapAsync(array, f) {
  let result;

  if (array) result = await Promise.all(array.map(f));

  return result;
}

export async function replaceAsync(str, regex, f) {
  let result;

  const promises = [];
  str.replace(regex, (match, ...args) => {
    const promise = f(match, ...args);
    promises.push(promise);
  });
  const data = await Promise.all(promises);
  result = str.replace(regex, () => data.shift());

  return result;
}
